#!/bin/sh

cd /root/soft

yum install -y zlib-devel

wget -c https://www.openssl.org/source/openssl-1.1.1d.tar.gz
tar xf openssl-1.1.1d.tar.gz
cd openssl-1.1.1d/
./config --prefix=/usr/local/openssl-1.1.1d zlib shared
make && make install

ln -sf /usr/local/openssl-1.1.1d/lib/lib* /usr/lib64/

mv /usr/bin/openssl /usr/bin/openssl.old
#mv /usr/include/openssl /usr/include/openssl.old

ln -s /usr/local/openssl-1.1.1d/bin/openssl /usr/bin/openssl
ln -s /usr/local/openssl-1.1.1d/include/openssl /usr/include/openssl
